#!/bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05
#
# (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
#
# @(#) loader.sh 1.5.0 06/09/11 10:38:34
# @(#) Copyright (c) 1999, WatchMark Inc.

############################################################################
# NB!!!!
# Because we're usually run via the sentry, it's important not to resource
# the .prospectrc file, as some variables may have been redefined from
# arguments passed to the sentry startup script sentry.sh.
############################################################################

# We need to augment the loader's argument list with the data-gateway we use
#WRITETOFILE=-wtf

#
while [ $# -gt 0 ]
do
case $1 in

    -filename)
            shift

            FULLNAME=$1
            FILENAME=`basename $1`

            if ! test -s $1
            then
              echo "ERROR: $FILENAME not valid file size"
              echo "Reason: $FILENAME must be greater than 0 size."
              exit 1
            fi

            DIRNAME=`dirname $1`
            FILEMAIN=${FILENAME%.*}
            FILEEXT=${FILENAME##*.}
            echo "FILENAME->"$FILENAME
            echo "FILEMAIN->"$FILEMAIN
            echo "FILEEXT->"$FILEEXT

            TOKENS=`echo $FILENAME | tr '.' ' '`
            NUM_TOKENS=`echo $TOKENS | wc -w`
            BSCID=`echo $TOKENS | cut -d ' ' -f2`
#            ARGS="$ARGS -filename $FULLNAME"
            ;;

   -tableLoadId)
            shift
            case $1 in
        	TLID_NOR_CDMA_CSVS14)
        	    DG_FILE=../CSVS/GATEWAY/dataGateway_CSVS14.hdd
        	    ;;
        	TLID_NOR_CDMA_CSVS15)
        	    DG_FILE=../CSVS/GATEWAY/dataGateway_CSVS15.hdd
        	    ;;
        	TLID_NOR_CDMA_CSVS16)
        	    DG_FILE=../CSVS/GATEWAY/dataGateway_CSVS16.hdd
        	    ;;
        	*)
        	    echo "$0: Unknown -tableLoadId $1"
        	    exit 1
        	    ;;
            esac
            ARGS="$ARGS -tableLoadId $1 -dg $DG_FILE"
        ;;
# Ignore the -dg parameters and skip it's contents
    -dg)
        shift
        ;;
## 2002/01/28 ssun add the following code to get system_id and msc_id 
    -argumentId)
        shift
        ARG_ID=$1
        SYSTEMID=`grep $ARG_ID $PROSPECT_HOME/data/Argument.txt |grep SYSTEMNAME |head -1| cut -f4`
        MSCID=`grep $ARG_ID $PROSPECT_HOME/data/Argument.txt |grep MSCNUM| head -1 | cut -f4`
        SYSTEMID=${SYSTEMID:="none"}
        MSCID=${MSCID:="none"}
        ARGS="$ARGS -argumentId $1"
        ;;
## 

    *) 
        ARGS="$ARGS $1"
        ;;

esac
shift
done
echo $ARGS

# Invoke the loader
if [ $FILEEXT = "gz" ]
then
  ${PROSPECT_HOME}/scripts/decompress $FULLNAME | sed "1,1s/\(.*\)/FILENAME: ${FILEMAIN} BSCID: ${BSCID} \1/" | ${LOADERPROGRAM} ${CONFIGSET} ${WMPM} -pipeFile $FULLNAME ${ARGS} ${SILENTPARSE} ${WRITETOFILE} -suppress PKN -suppress DPK
else
  ${PROSPECT_HOME}/scripts/decompress $FULLNAME | sed "1,1s/\(.*\)/FILENAME: ${FILENAME} BSCID: ${BSCID} \1/" | ${LOADERPROGRAM} ${CONFIGSET} ${WMPM} -pipeFile $FULLNAME ${ARGS} ${SILENTPARSE} ${WRITETOFILE} -suppress PKN -suppress DPK
fi
